Issue 121074 - brightness of picture in master page changed after save the sample .odp file as .ppt
brightness of picture in master page changed after save the sample .odp file ...
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: save-export
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 08:17 UTC by louqle
Modified: 2013-07-12 11:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
screenshot (55.25 KB, image/jpeg)
2012-09-21 08:17 UTC, louqle
no flags Details
sample file (30.51 KB, application/vnd.oasis.opendocument.presentation)
2012-09-21 08:20 UTC, louqle
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description louqle 2012-09-21 08:17:12 UTC
Created attachment 79603 [details]
screenshot

build: Aoo_trunk 1384699
platform: XP SP3, Mac 10.7

1. open the attached .odp sample file in Aoo
2. Save as .ppt
3. Reopen the new .ppt file in Aoo or in MS 2003

The brightness of the picture at the left of page changes to more brighter than in .odp. I attached the compared screenshot
Comment 1 louqle 2012-09-21 08:20:24 UTC
Created attachment 79604 [details]
sample file
Comment 2 Regina Henschel 2012-09-22 21:01:40 UTC
It is not "brightness" but transparency is lost.
Comment 3 Armin Le Grand 2012-09-25 12:44:27 UTC
ALG: Looks as if PPT export uses a graphic format only capable of masking the graphic, probably gif. The alpha channel is lost and replaced with a 1bit mask.
Comment 4 Armin Le Grand 2012-09-26 15:00:02 UTC
ALG: I have checked that the original PNG embedded to the ODF gets embedded to ppt. I saved as ppt, opened and converted to pptx and extracted the PNG from there; it's size is identical. Diff output is empty. Thus, I assume (pretty safely) that the original image gets transferred. Why does it look different...?
Comment 5 Armin Le Grand 2012-09-26 15:10:05 UTC
ALG: Ah, got it. The transparency *attribute* for the graphic is missing, not anything with the alpha channel of the bitmap itself.
Comment 6 Armin Le Grand 2012-09-26 15:17:45 UTC
ALG: Played around with PPT, seems they have no option to make a whole pixel-based object transparent (they can make one or more colors transparent), thus maybe our settings have to be applied to the bitmap directly before exporting...
Comment 7 Armin Le Grand 2012-09-27 13:59:07 UTC
ALG: Transparency for BitmapObject is not supported by MS formats, adding to stuff which gets applied to the graphic directly using GetTransformedGraphic call in GetBlibID in EscherPropertyContainer::CreateGraphicProperties.
Candidates are also: nRed, nGreen, nBlue, fGamma.
Comment 8 Armin Le Grand 2012-09-27 15:23:45 UTC
ALG: Works for transparency as expected. Also did some cleanups.
Added bitmap effects Red, Green, Blue and Gamma in the same way to enhance fidelity. Checked, works well.
Comment 9 Armin Le Grand 2012-09-27 15:25:55 UTC
ALG: Committed as revision 1391057, done.
Comment 10 louqle 2012-11-06 01:20:42 UTC
verified on XP SP3, Win7, Mac 10.7 and suse 11 against trunk build 1404513, pass